Summary:  	A Window Manager for the X Window System
Name:		blackbox
Version:	0.62.1
Release:	1mdk
License:	GPL
Group:		Graphical desktop/Other
URL:		http://blackbox.alug.org/

Source:		blackbox-%{version}.tar.bz2
Source1:	%{name}.menu-method
Source2:	blackbox.menu
Source5:	blackbox-startblackbox

Source3:	blackbox.xpm
Source4:	blackbox32.xpm
Patch0:		blackbox-0.61.1-litle-name.patch.bz2
Patch1:		blackbox-0.61.1-exitbutton.patch.bz2
Patch2:		blackbox-0.61.1-translations.patch.bz2
Patch3:		blackbox-0.61.1-default-style.patch.bz2

Requires:	mandrake_desk >= 7.2-18mdk
BuildRequires:	XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}
Prefix:		%{_prefix}

%description
This is a window manager for X.  It is similar in many respects to
such popular packages as Window Maker, Enlightenment, and FVWM2.  You
might be interested in this package if you are tired of window managers
that are a heavy drain on your system resources, but you still want
an attractive and modern-looking interface.
.
The best part of all is that this program is coded in C++, so it
is even more attractive "under the hood" than it is in service -- no
small feat.
.
If none of this sounds familiar to you, or you want your computer to
look like Windows 98, you probably don't want this package.


%prep

%setup -q
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1

%build
%configure --enable-kde --enable-nls

%make DEFAULT_MENU=/etc/X11/blackbox/blackbox-menu

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{prefix}/X11R6/bin
install -m755 $RPM_BUILD_ROOT%{_bindir}/* $RPM_BUILD_ROOT%{prefix}/X11R6/bin/

install -D -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/menu-methods/%{name}

mkdir -p $RPM_BUILD_ROOT%_menudir
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/blackbox.xpm
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
install -m644 %{SOURCE4} $RPM_BUILD_ROOT%{_iconsdir}/blackbox.xpm

install -m644 %{SOURCE2} %buildroot/%_menudir/%{name}

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmsession.d
cat > $RPM_BUILD_ROOT/etc/X11/wmsession.d/05blackbox << EOF
NAME=BlackBox
ICON=BlackBox.xpm
EXEC=/usr/X11R6/bin/blackbox
DESC=A Light but nice looking window manager
SCRIPT:
exec /usr/X11R6/bin/startblackbox
EOF

install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/usr/X11R6/bin/startblackbox

%find_lang %{name}


%post
%{update_menus}
%{make_session}

%postun
%{clean_menus}
%{make_session}

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root) 
%{_libdir}/menu/%{name}
%config(noreplace) /etc/menu-methods/%{name}
%config(noreplace) /etc/X11/wmsession.d/05blackbox
%{prefix}/X11R6/bin/*
%{_mandir}/*/*
%{_datadir}/blackbox
%{_iconsdir}/blackbox.xpm
%{_miconsdir}/blackbox.xpm

%changelog
* Fri Feb 15 2002 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-1mdk
- 0.62.1

* Mon Aug 20 2001 Yves Duret <yduret@mandrakesoft.com> 0.61.1-3mdk
- rebuild
- added a startblackbox script

* Tue Nov 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.61.1-2mdk
- Fix some macros

* Tue Oct 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.61.1-1mdk
- Arrange menus entry to add Setting box.
- Set default style to Artwiz.
- Make blackbox like the old name blackbox and not BlackBox.
- Add debian translations.
- 0.61.1 (fix gcc2.96).

* Wed Sep 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.51.3.1-25mdk
- entry in /etc/X11/wmsession.d
- noreplace

* Mon Sep 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.51.3.1-24mdk
- add icons for menu system. 

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.51.3.1-23mdk
- automatically added BuildRequires

* Sun Jul 09 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.51.3.1-22mdk
- makeinstall macro
- macroszifications

* Sun May 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.51.3.1-21mdk
- Fix descriptions (RPM & menu)

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 0.51.3.1-20mdk
- Added fndSession call.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.51.3.1-19mdk
- Add an exit button just after mandrake menu.

* Tue Apr  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.51.3.1-18mdk
- i18n menu support.

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.51.3.1-17mdk
- Remove bbdrake stuff (dadou i have pity for you).
- Don't chmod 666 files.
- Add man pages from debian.
- Add i18n patch from debian (hint hint, traductors)
- Adjust groups.

* Mon Jan 03 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.51.3.1-16mdk
- Fix typos

* Sat Jan 01 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.51.3.1-15mdk
- Add kvideogen in BBDrake

* Tue Dec 28 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add kdmconfig and kcontrol in BBDrake (thanks Arnold)

* Mon Dec 27 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 0.51.3.1-13mdk
- Fix some typos
- Fix display version

* Mon Dec 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix display version 

* Sun Dec 19 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix call at bbdrake_kde
- Add AnotherLevel in BBDrake

* Sat Dec 18 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 0.51.3.1-10mdk
  - Replace "drakXconf" by "DrakConf"
- 0.51.3.1-9mdk
  - Cleanup BBDrake
  - Add a blank before "Exit"
  - Add "BlackBox/KDE" in "Desktop/Window Managers"
- 0.51.3.1-8mdk
  - Remove "Sutdown or restart"
  - Add BBDrake_KDE

* Fri Dec 17 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add DrakXconf in BBDrake, remove XFDrake (call by DrakXcon)
- Change default theme

* Thu Dec 16 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add a lot of apps in BBDrake
- Fix some typos in BBDrake
- Fix some problems when run as user

* Thu Dec 10 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix Group

* Wed Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build release

* Tue Dec 08 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add some apps in bbdrake

* Fri Dec 04 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Initial bbdrake

* Fri Nov 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- First spec
